GCLOUD_APP_INSTANCES_ENABLE-DEBUG(1)

NAME

gcloud app instances enable-debug - enables debug mode for an instance

SYNOPSIS

gcloud app instances enable-debug [INSTANCE] [--service=SERVICE, -s SERVICE] [--version=VERSION, -v VERSION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
When in debug mode, SSH will be enabled on the VMs, and you can use gcloud compute ssh to login to them. They will be removed from the health checking pools, but they still receive requests. Note that any local changes to an instance will be **lost** if debug mode is disabled on the instance. New instance(s) may spawn depending on the app's scaling settings.

POSITIONAL ARGUMENTS

    [INSTANCE]
        The instance ID to enable debug mode on. If not specified, select instance interactively. Must uniquely specify (with other flags) exactly one instance

FLAGS

    --service=SERVICE, -s SERVICE
        If specified, only match instances belonging to the given service. This affects both interactive and non-interactive selection.

    --version=VERSION, -v VERSION
        If specified, only match instances belonging to the given version. This affects both interactive and non-interactive selection.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To enable debug mode for a particular instance, run:
    $ gcloud app instances enable-debug --service=s1 --version=v1 i1
To enable debug mode for an instance chosen interactively, run:
    $ gcloud app instances enable-debug